# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "anda_web3_client"
version = "0.13.12"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The Rust SDK for Web3 integration in non-TEE environments."
readme = "README.md"
keywords = [
    "ai-agent",
    "icp",
    "tee",
]
categories = [
    "accessibility",
    "web-programming",
    "development-tools",
    "text-processing",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ldclabs/anda/tree/main/anda_web3_client"
resolver = "2"

[lib]
name = "anda_web3_client"
path = "src/lib.rs"
test = false
doctest = false

[[test]]
name = "client_features"
path = "tests/client_features.rs"

[dependencies.anda_core]
version = "0.13"

[dependencies.anda_engine]
version = "0.13"

[dependencies.candid]
version = "0.10"

[dependencies.cbor2]
version = "1"

[dependencies.futures]
version = "0.3"

[dependencies.hex]
version = "0.4"

[dependencies.http]
version = "1.3"

[dependencies.ic-agent]
version = "0.47"

[dependencies.ic_auth_types]
version = "0.9"

[dependencies.ic_auth_verifier]
version = "0.9"
features = ["full"]

[dependencies.ic_cose]
version = "0.10"

[dependencies.ic_cose_types]
version = "0.10"

[dependencies.ic_tee_gateway_sdk]
version = "0.7"

[dependencies.reqwest]
version = "0.13"
features = [
    "rustls",
    "json",
    "gzip",
    "stream",
    "http2",
]
default-features = true

[dependencies.serde]
version = "1"
features = ["derive"]

[dev-dependencies.axum]
version = "0.8"
features = [
    "http1",
    "http2",
    "json",
    "matched-path",
    "tokio",
    "query",
]
default-features = true

[dev-dependencies.tokio]
version = "1"
features = ["full"]
